OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.EXT.TexturePerturbNormal

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetEXTTexturePerturbNormal :: MonadIO m => m Bool
- gl_EXT_texture_perturb_normal :: Bool
- pattern GL_PERTURB_EXT :: GLenum
- pattern GL_TEXTURE_NORMAL_EXT :: GLenum
- glTextureNormalEXT :: MonadIO m => GLenum -> m ()

# Extension Support

glGetEXTTexturePerturbNormal :: MonadIO m => m Bool Source #

Is the EXT_texture_perturb_normal extension supported?

gl_EXT_texture_perturb_normal :: Bool Source #

Is the EXT_texture_perturb_normal extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetEXTTexturePerturbNormal` in those cases instead.

# Enums

pattern GL_PERTURB_EXT :: GLenum Source #

pattern GL_TEXTURE_NORMAL_EXT :: GLenum Source #

# Functions

glTextureNormalEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `mode` of type TextureNormalModeEXT.
-> m () |